#include "board.h"
#include "wdt.h"
#include "pio.h"

volatile uint32_t ticks = 0;
const Pin status = PIN_LED_ST;

void SysTick_Handler()
{
		ticks++;
}

void wait(uint32_t ms);

int main() 
{
	WDT_Disable(WDT);

	SysTick_Config(BOARD_MCK/1000);

	PIO_Configure(&status, 1);
	PIO_Clear(&status);
	wait(2000);
	
	while (1) {
			PIO_Set(&status);
			wait(200);
			PIO_Clear(&status);
			wait(200);
	}

	return 0;
}

void wait(uint32_t ms) {
		uint32_t start = ticks;
		while (ticks - start < ms);
}

/* vim: set ts=4: */
